how to physical fields module 7.x-1.x-dev report "unsupported" status

The “available updates” report page and the “available updates” update page are suddenly and currently stating that:

– physical fields module
– 7.x-1.x-dev (the only version available)

is “unsupported”.

However the project page:

https://www.drupal.org/project/physical

States that the module is actively maintained and under active development, with 5,990 sites using it.

What is causing the erroneous update status message, and what can be done to prevent the update manager from marking it “unsupported” when version 7.x-1.x-dev is the only version and no newer version is available?

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/22/feed